javax.swing.plaf.metal

## Class MetalBorders.TextFieldBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.plaf.metal.MetalBorders.Flush3DBorder
    - - javax.swing.plaf.metal.MetalBorders.TextFieldBorder

All Implemented Interfaces:
  Serializable, Border, UIResource

Enclosing class:
  MetalBorders

    public static class MetalBorders.TextFieldBorder
    extends MetalBorders.Flush3DBorder

### Constructor Summary

Constructors
Constructor and Description
`MetalBorders.TextFieldBorder()`

### Method Summary

Methods
`void` `paintBorder(Component c, Graphics g, int x, int y, int w, int h)` This default implementation does no painting.

### Methods inherited from class javax.swing.plaf.metal.MetalBorders.Flush3DBorder

`getBorderInsets, getBorderInsets`

### Methods inherited from class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetalBorders.TextFieldBorder

    public MetalBorders.TextFieldBorder()

### Method Detail

#### paintBorder

    public void paintBorder(Component c,
                   Graphics g,
                   int x,
                   int y,
                   int w,
                   int h)

Description copied from class: `AbstractBorder`
This default implementation does no painting.

Specified by:
  `paintBorder` in interface `Border`
Overrides:
  `paintBorder` in class `MetalBorders.Flush3DBorder`
Parameters:
  `c` - the component for which this border is being painted
  `g` - the paint graphics
  `x` - the x position of the painted border
  `y` - the y position of the painted border
  `w` - the width of the painted border
  `h` - the height of the painted border

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.